<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionSuccesses](./bitburner.bladeburner.getactionsuccesses.md)

## Bladeburner.getActionSuccesses() method

Get action successes.

**Signature:**

```typescript
getActionSuccesses(type: string, name: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |

**Returns:**

number

a number with how many successes you have with action.

## Remarks

RAM cost: 4 GB

Return a number with how many successes you have with action.

